*Purpose: Create formats for pls_ae_pud20i;


proc format lib=work;
value $YESNO
'Y'	=	'Y-Yes'
'N'	=	'N-No'
'M'	=	'Missing'
;
value $MISSMF
'M'	=	'Missing'
;
value $PHONF
'-3'	=	'-3-Closed or temporarily closed administrative entity'
'-4'	=	'Not applicable'
;
value $CRELF
'HQ'	=	'HQ-Headquarters of a federation or cooperative'
'ME'	=	'ME-Member of a federation or cooperative'
'NO'	=	'NO-Not a member of a federation or cooperative'
;
value $CLEGF
'CC'	=	'CC-City/County'
'CI'	=	'CI-Municipal Government (city, town, or village)'
'CO'	=	'CO-County/Parish'
'LD'	=	'LD-Library District'
'MJ'	=	'MJ-Multi-jurisdictional'
'NL'	=	'NL-Native American Tribal Government'
'NP'	=	'NP-Non-profit Association or Agency'
'SD'	=	'SD-School District'
'OT'	=	'OT-Other'
;
value $CADMF
'MA'	=	'MA-Administrative Entity with multiple direct service outlets where administrative offices are separate'
'MO'	=	'MO-Administrative Entity with multiple direct service outlets where administrative offices are not separate'
'SO'	=	'SO-Single Outlet Administrative Entity'
;
value $GEOF
'CI1'	=	'CI1-Municipal Government (city, town, or village) (exactly)'
'CI2'	=	'CI2-Municipal Government (city, town, or village) (most nearly)'
'CO1'	=	'CO1-County/Parish (exactly)'
'CO2'	=	'CO2-County/Parish (most nearly)'
'MA1'	=	'MA1-Metropolitan Area (exactly)'
'MA2'	=	'MA2-Metropolitan Area (most nearly)'
'MC1'	=	'MC1-Multi-County (exactly)'
'MC2'	=	'MC2-Multi-County (most nearly)'
'SD1'	=	'SD1-School District (exactly)'
'SD2'	=	'SD2-School District (most nearly)'
'OTH'	=	'OTH-Other'
;
value $OBERGF
'01'	=	'01-New England (CT ME MA NH RI VT)'
'02'	=	'02-Mid East (DE DC MD NJ NY PA)'
'03'	=	'03-Great Lakes (IL IN MI OH WI)'
'04'	=	'04-Plains (IA KS MN MO NE ND SD)'
'05'	=	'05-Southeast (AL AR FL GA KY LA MS NC SC TN VA WV)'
'06'	=	'06-Southwest (AZ NM OK TX)'
'07'	=	'07-Rocky Mountains (CO ID MT UT WY)'
'08'	=	'08-Far West (AK CA HI NV OR WA)'
'09'	=	'09-Outlying Areas (AS GU MP PR VI)'
;
value $RSTATF
'1'	=	'1-Respondent, with no imputed data '
'2'	=	'2-Respondent, with both reported and imputed data '
'3'	=	'3-Nonrespondent, not imputed '
'4'	=	'4-Nonrespondent with imputed data '
;
value $STATSF
'00'	=	'00-No change from last year'
'01'	=	'01-Existing Administrative Entity or Outlet absorbs another Administrative Entity or Outlet'
'02'	=	'02-Newly created Administrative Entity or Outlet'
'03'	=	'03-Closed'
'04'	=	'04-Move Outlet to a newly created Administrative Entity'
'05'	=	'05-Merge two or more Administrative Entities or Outlets to form a new Administrative Entity or Outlet'
'08'	=	'08-Restored a closed Administrative Entity or Outlet record'
'09'	=	'09-Restored an incorrectly deleted Administrative Entity or Outlet'
'10'	=	'10-Delete an incorrect record'
'11'	=	'11-Outlet moved to a different previously existing Administrative Entity'
'13'	=	'13-Add an existing Administrative Entity or Outlet not previously reported'
'22'	=	'22-Future Administrative Entity FSCS ID Request'
'23'	=	'23-Temporary Closure'
'24'	=	'24-Restore/Undo Was a 23 (Reopen a Temporarily Closed Administrative Entity)'
'25'    =   '25-Survey nonrespondent'
;
value $STATNF
'00'	=	'00-No change from last year'
'06'	=	'06-Official name change'
'14'	=	'14-Minor name change'
;
value $STATAF
'00'	=	'00-No change from last year'
'07'	=	'07-Moved to a new location'
'15'	=	'15-Minor address change'
;
value $LOCALF
'M'		=	'Missing'
'11'	=	'11-City, Large'
'12'	=	'12-City, Mid-size'
'13'	=	'13-City, Small'
'21'	=	'21-Suburb, Large'
'22'	=	'22-Suburb, Mid-size'
'23'	=	'23-Suburb, Small'
'31'	=	'31-Town, Fringe'
'32'	=	'32-Town, Distant'
'33'	=	'33-Town, Remote'
'41'	=	'41-Rural, Fringe'
'42'	=	'42-Rural, Distant'
'43'	=	'43-Rural, Remote'
;
value LONF
other	=   [13.7]
;
value LATF
other	=   [11.7]
;
value $MICMETF
'N'	=	'Not applicable'
'0'	=	'0-Micropolitan area'
'1'	=	'1-Metropolitan area'
;
value MISS1F
-1	=	'-1-Missing'
;
value MISS3F
-1	=	'-1-Missing'
-3	=	'-3-Closed or temporarily closed administrative entity'
-4	=	'-4-Not Applicable'
-9  =   '-9-Data were suppressed for analytic purposes'
;
value CENF
-1	=	'-1-Missing'
-4  = 	'-4-Not applicable'
;
value STFF
-1	=	'-1-Missing'
-3	=	'-3-Closed or temporarily closed administrative entity'
other = [9.2]
;
value TOTSTFF
-1	=	'-1-Missing'
-3	=	'-3-Closed or temporarily closed administrative entity'
other = [10.2]
;
value $DATF
'-3'	=	'Closed or temporarily closed administrative entity'
;
value SUPF
-1	=	'-1-Missing'
-3	=	'-3-Closed or temporarily closed administrative entity'
-9  =	'-9-Data suppressed to protect confidentiality'
;
value $IMPF
'R_20'	=	'R_20-Data were reported and not imputed'
'IG17'	=	'IG17-Prior year data multiplied by cell mean growth rate'
'IG16'	=	'IG16-Prior year data multiplied by cell mean growth rate'
'IG19'	=	'IG19-Prior year data multiplied by cell mean growth rate'
'IG18'	=	'IG18-Prior year data multiplied by cell mean growth rate'
'IQ20'	=	'IQ20-Adjusted cell mean'
'IJ20'	=	'IJ20-Unadjusted cell mean'
'IK17'	=	'IK17-Prior year ratio to another item'
'IK16'	=	'IK16-Prior year ratio to another item'
'IK19'	=	'IK19-Prior year ratio to another item'
'IK18'	=	'IK18-Prior year ratio to another item'
'ID20'	=	'ID20-Cell median ratio to another item'
'IP19'	=	'IP19-Data carried forward'
'IP18'	=	'IP18-Data carried forward'
'IP17'	=	'IP17-Data carried forward'
'IP16'	=	'IP16-Data carried forward'
'IP15'	=	'IP15-Data carried forward'
'IP14'	=	'IP14-Data carried forward'
'IM20'	=	'IM20-Unadjusted cell median'
'IT20'	=	'IT20-Total to detail items'
'IB20'	=	'IB20-Raking of detail items to match totals'
'IS20'	=	'IS20-Special imputation procedures'
'IY20'	=	'IY20-Consistency check derived value'
'U_20'	=	'U_20-Not applicable, outlying area, or closed/temporary closure  no imputation done'
'E_20'	=	'E_20-Data were reported and edited for logical consistency'
'H_20'	=	'H_20-Data were suppressed'
'L_20'  =   'L_20Data were suppressed for analytic purposes'
;

value $GEOSTAF
'E' = 'E-Matched'
'U' = 'U-Unmatched'
'T' = 'T-Tied' 
;
value $RPTF
'CT' = 'CT-Annual Count'
'ES' = 'ES-Annual Estimate Based on Typical Week(s)'
'M'  = 'Missing'
;
value $GEOMT
'DISTANCEMARKER' =  'DISTANCEMARKER-A street address that represents the linear distance along a street, typically in kilometers or miles, from a designated origin location'
'LOCALITY' =  'LOCALITY-A place name representing a populated place such as a city or neighborhood'
'POI' =  'POI-Points of interest, for example, administrative placenames, businesses, landmarks, and geographic features'
'POINTADDRESS' =  'POINTADDRESS-A street address based on point locations that represent house and building locations'
'POSTAL' =  'POSTAL-Postal (ZIP) code. Reference data is postal code points'
'POSTALLOC' =  'POSTALLOC-A combination of postal (ZIP) code and city name'
'STREETADDRESS' =  'STREETADDRESS-A street address that differs from PointAddress because the address number is interpolated from the range of address numbers for a given street segment'
'STREETADDRESSEXT' =  'STREETADDRESSEXT-An interpolated street address match that is returned when the input address number exceeds the address number range for the matched street segment'
'STREETINT' =  'STREETINT-A street address consisting of a street intersection along with city and optional state and postal code information'
'STREETNAME' =  'STREETNAME-Similar to a street address but without the address number'
'SUBADDRESS' =  'SUBADDRESS-A street address based on point locations that represent house and building subaddress locations. Typically, this is the most spatially accurate match'
;
run;
