*Purpose: Create formats for pls_outlet_pud20i;

proc format lib=work;
value $YESNO
'Y'	=	'Y-Yes'
'N'	=	'N-No'
;
value $MISSMF
'M'	=	'Missing'
;
value $PHONF
'-3'	=	'Closed or temporarily closed outlet'
'-4'	=	'Not Applicable'
;
value $OUTF
'CE'	= 	'CE-Central Library'
'BR'	=	'BR-Branch Library'
'BS'	=	'BS-Bookmobile(s)'
'BM'	=	'BM-Books-by-Mail Only'
;
value SQFTF
-3		=	'-3-Closed or temporarily closed outlet'
-1		=	'-1-Missing'
-4		=	'-4-Not applicable'
;
value $STATSF
'00'	=	'00-No change from last year'
'01'	=	'01-Existing Administrative Entity or Outlet absorbs another Administrative Entity or Outlet'
'02'	=	'02-Newly created Administrative Entity or Outlet'
'03'	=	'03-Closed'
'04'	=	'04-Move Outlet to a newly created Administrative Entity'
'05'	=	'05-Merge two or more Administrative Entities or Outlets to form a new Administrative Entity or Outlet'
'08'	=	'08-Restored a closed Administrative Entity or Outlet record'
'09'	=	'09-Restored an incorrectly deleted Administrative Entity or Outlet'
'10'	=	'10-Delete an incorrect record'
'11'	=	'11-Outlet moved to a different previously existing Administrative Entity'
'13'	=	'13-Add an existing Administrative Entity or Outlet not previously reported'
'22'	=	'22-Future Administrative Entity FSCS ID Request'
'23'	=	'23-Temporary Closure'
'24'	=	'24-Restore/Undo Was a 23 (Reopen a Temporarily Closed Administrative Entity)'
'25'    =   '25-Survey nonrespondent'
;
value $STATNF
'00'	=	'00-No change from last year'
'06'	=	'06-Official name change'
'14'	=	'14-Minor name change'
;
value $STATAF
'00'	=	'00-No change from last year'
'07'	=	'07-Moved to a new location'
'15'	=	'15-Minor address change'
;
value $LOCALF
'M'		=	'Missing'
'11'	=	'11-City, Large'
'12'	=	'12-City, Mid-size'
'13'	=	'13-City, Small'
'21'	=	'21-Suburb, Large'
'22'	=	'22-Suburb, Mid-size'
'23'	=	'23-Suburb, Small'
'31'	=	'31-Town, Fringe'
'32'	=	'32-Town, Distant'
'33'	=	'33-Town, Remote'
'41'	=	'41-Rural, Fringe'
'42'	=	'42-Rural, Distant'
'43'	=	'43-Rural, Remote'
;
value LONF
other	=   [13.7]
;
value LATF
other	=   [11.7]
;
value $MICMETF
'N'	=	'Not applicable'
'0'	=	'0-Micropolitan area'
'1'	=	'1-Metropolitan area'
;
value MISS1F
-1	=	'-1-Missing'
;
value MISS3F
-1	=	'-1-Missing'
-3	=	'-3-Closed or temporarily closed outlet'
;
value CENF
-1	=	'-1-Missing'
-4  = 	'-4-Not applicable'
;
value $IMPF
'R_20'	=	'R_20-Data were reported and not imputed'
'IP16'	=	'IP16-Data carried forward'
'IP17'	=	'IP17-Data carried forward'
'IP18'	=	'IP18-Data carried forward'
'IP19'	=	'IP19-Data carried forward'
'U_20'	=	'U_20-Not imputed (i.e., outlying area or closed/temp closed)'
'M_20' = 	'M_20-Not imputed-insufficient prior year data'
'N_20' =  	'N_20-Not imputed (i.e., not applicable)'
'E_20' =  	'E_20-Data were reported and edited for logical consistency'
;
value $OBERGF
'01'	=	'01-New England (CT ME MA NH RI VT)'
'02'	=	'02-Mid East (DE DC MD NJ NY PA)'
'03'	=	'03-Great Lakes (IL IN MI OH WI)'
'04'	=	'04-Plains (IA KS MN MO NE ND SD)'
'05'	=	'05-Southeast (AL AR FL GA KY LA MS NC SC TN VA WV)'
'06'	=	'06-Southwest (AZ NM OK TX)'
'07'	=	'07-Rocky Mountains (CO ID MT UT WY)'
'08'	=	'08-Far West (AK CA HI NV OR WA)'
'09'	=	'09-Outlying Areas (AS GU MP PR VI)'
;
value $GEOSTAF
'E' = 'E-Matched'
'U' = 'U-Unmatched'
'T' = 'T-Tied' 
;
value $GEOMT
'DISTANCEMARKER' =  'DISTANCEMARKER-A street address that represents the linear distance along a street, typically in kilometers or miles, from a designated origin location'
'LOCALITY' =  'LOCALITY-A place name representing a populated place such as a city or neighborhood'
'POI' =  'POI-Points of interest, for example, administrative placenames, businesses, landmarks, and geographic features'
'POINTADDRESS' =  'POINTADDRESS-A street address based on point locations that represent house and building locations'
'POSTAL' =  'POSTAL-Postal (ZIP) code. Reference data is postal code points'
'POSTALLOC' =  'POSTALLOC-A combination of postal (ZIP) code and city name'
'STREETADDRESS' =  'STREETADDRESS-A street address that differs from PointAddress because the address number is interpolated from the range of address numbers for a given street segment'
'STREETADDRESSEXT' =  'STREETADDRESSEXT-An interpolated street address match that is returned when the input address number exceeds the address number range for the matched street segment'
'STREETINT' =  'STREETINT-A street address consisting of a street intersection along with city and optional state and postal code information'
'STREETNAME' =  'STREETNAME-Similar to a street address but without the address number'
'SUBADDRESS' =  'SUBADDRESS-A street address based on point locations that represent house and building subaddress locations. Typically, this is the most spatially accurate match'
;
run;
